TSCONTTHREADAFFINITYSET(3ts)

NAME
TSContThreadAffinitySet - TSContThreadAffinitySet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSContThreadAffinitySet(TSCont contp, TSEventThread ethread)

DESCRIPTION

Set the thread affinity of continuation contp to ethread. Future calls to TSContSchedule(), and TSContScheduleOnPool() that has the same type as ethread will schedule the continuation on ethread, rather than an arbitrary thread of that type.

TSContSchedule() and TSContScheduleEvery() will default the affinity to calling thread when invoked without explicitly setting the thread affinity.

RETURN VALUES

TS_SUCCESS if thread affinity of continuation contp was set to ethread, TS_ERROR if not.

COPYRIGHT
2026, dev@trafficserver.apache.org